# Django shortcuts

You spend too much time typing `python3 manage.py`.

[![badge](https://badge.fury.io/py/django-shts3.svg)](https://pypi.python.org/pypi/django-shts3)

## Usage

PyPi package installs `django` and `d` binaries to proxy
Django's `manage.py`  scripts.
All arguments with `-` at the begining before command are threated as Python flags.

```
$ django <command or shortcut>

$ cd any/project/subdirectory
$ d <command or shortcut>
```

## Default shortcuts

Alias   | Command
--------|---------------
c       | collectstatic
r       | runserver
s / sh  | shell
t       | test
m       | migrate
mkm     | makemigrations
csu     | createsuperuser
cpw     | changepassword
sa      | startapp
sp      | startproject

## Configuration file

The program looks for `.django_shts3` file in home directory and loads extra commands from it.
They overwrite default commands. File format is:

```
alias @@@ command
m @@@ migrate
```

### Example:

I have docker container with Django and I should bind to 0.0.0.0:8000 on runserver command, so I have:

```
$ cat ~/.django_shts3
r @@@ runserver 0.0.0.0:8000
```

That allows me to start Django server like:

```
$ d r
```

Or same thing, but with deprication warnings:

```
$ d -Wd r
```

## Installation

```
$ pip3 install django-shts3
```
